type Message @table(name: "messages") {
  id: UUID! @default(expr: "uuidV4()")

  conversationId: UUID!

  senderId: String! #userId
  #senderName: String
  user: User! @ref(fields: "senderId", references: "id")

  content: String!
  isSystem: Boolean

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
